View Issue Details

IDProjectCategoryView StatusLast Update
0004243DraftBugpublic2021-02-08 21:59
Reportervocx Assigned To 
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
PlatformLinuxOSUbuntuOS Version18.04
Target Version0.19Fixed in Version0.19 
Summary0004243: Crash: when using Draft Facebinder
DescriptionWhen using the Draft Facebinder tool consecutively, the software crashes after the second or third time.

Forum thread, Crash: when using Draft Facebinder
Steps To Reproduce
  1. Open FreeCAD, open a new document, go to the Part Workbench, and create a simple Part Box.
  2. Switch to the Draft Workbench.
  3. Press the Draft Facebinder button, then select the top face of the Cube. A Facebinder object is created.
  4. Click anywhere on the 3D view to de-select any object.
  5. Again click on the Draft Facebinder button, and try picking the face of the Cube again. As soon as the mouse pointer leaves the toolbar area, and enters the 3D view again, the program crashes.

Sometimes there is no crash when pressing Draft Facebinder the second time and entering the 3D view. In this case you can pick any face of the Part Box and nothing will happen. The task view will just stay there open only with the "Close" button showing.

So press the "Close" button to finish the operation. Then choose Draft Facebinder a third time, and when moving the pointer to the 3D view, this time a crash is almost guaranteed.

Additional InformationSince it is using Coin callbacks it may also be hardware dependent.

My system has

pivy.__version__
'0.6.5a0'

Graphics card

00:00.0 Host bridge: Intel Corporation Xeon E3-1200 v6/7th Gen Core Processor Host Bridge/DRAM Registers (rev 02)
00:02.0 VGA compatible controller: Intel Corporation HD Graphics 620 (rev 02)

Backtrace in the attached file bug_4243.txt
TagsNo tags attached.
FreeCAD InformationOS: Ubuntu 18.04.3 LTS (ubuntu:GNOME/ubuntu)
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.19.19212 (Git)
Build type: Debug
Branch: master
Hash: 004fda205ed8470702864083f417710db222b760
Python version: 3.6.9
Qt version: 5.9.5
Coin version: 4.0.0a
OCC version: 7.3.0
Locale: English/UnitedStates (en_US)

Relationships

related to 0003971 closedyorik Draft Upgrade tool generate errors in Report view then crashes 

Activities

vocx

2020-02-11 16:48

reporter   ~0014156

Backtrace of crash
bug_4243.txt (Attachment missing)

marioalexis

2021-01-02 05:51

developer   ~0015196

See https://github.com/FreeCAD/FreeCAD/pull/4235

marioalexis

2021-01-04 12:00

developer   ~0015199

Fix committed to master branch.

marioalexis

2021-01-04 13:38

developer   ~0015201

@Kunda1 this can be closed

Kunda1

2021-02-08 21:59

administrator   ~0015316

Closing. Thanks for the fix marioalexis84!

Related Changesets

FreeCAD: master 4d9e2941

2021-01-02 05:15:01

marioalexis

Details Diff
Draft: Fix multiple crashes when using modification functions - fixes 0004243 Affected Issues
0004243
mod - src/Mod/Draft/draftguitools/gui_array_simple.py Diff File
mod - src/Mod/Draft/draftguitools/gui_clone.py Diff File
mod - src/Mod/Draft/draftguitools/gui_downgrade.py Diff File
mod - src/Mod/Draft/draftguitools/gui_draft2sketch.py Diff File
mod - src/Mod/Draft/draftguitools/gui_facebinders.py Diff File
mod - src/Mod/Draft/draftguitools/gui_join.py Diff File
mod - src/Mod/Draft/draftguitools/gui_offset.py Diff File
mod - src/Mod/Draft/draftguitools/gui_patharray.py Diff File
mod - src/Mod/Draft/draftguitools/gui_pathtwistedarray.py Diff File
mod - src/Mod/Draft/draftguitools/gui_pointarray.py Diff File
mod - src/Mod/Draft/draftguitools/gui_shape2dview.py Diff File
mod - src/Mod/Draft/draftguitools/gui_split.py Diff File
mod - src/Mod/Draft/draftguitools/gui_upgrade.py Diff File

FreeCAD: master f1b644d1

2021-01-04 11:30:56

yorik


Committer: GitHub Details Diff
Merge pull request 0004235 from marioalexis84/draft-facebinder

Draft: Fix multiple crashes when using modification functions - fixes 0004243, 0003971
Affected Issues
0003971, 0004243
mod - src/Mod/Draft/draftguitools/gui_array_simple.py Diff File
mod - src/Mod/Draft/draftguitools/gui_clone.py Diff File
mod - src/Mod/Draft/draftguitools/gui_downgrade.py Diff File
mod - src/Mod/Draft/draftguitools/gui_draft2sketch.py Diff File
mod - src/Mod/Draft/draftguitools/gui_facebinders.py Diff File
mod - src/Mod/Draft/draftguitools/gui_join.py Diff File
mod - src/Mod/Draft/draftguitools/gui_offset.py Diff File
mod - src/Mod/Draft/draftguitools/gui_patharray.py Diff File
mod - src/Mod/Draft/draftguitools/gui_pathtwistedarray.py Diff File
mod - src/Mod/Draft/draftguitools/gui_pointarray.py Diff File
mod - src/Mod/Draft/draftguitools/gui_shape2dview.py Diff File
mod - src/Mod/Draft/draftguitools/gui_split.py Diff File
mod - src/Mod/Draft/draftguitools/gui_upgrade.py Diff File

Issue History

Date Modified Username Field Change
2020-01-09 05:39 vocx New Issue
2020-01-09 05:41 vocx Description Updated
2020-02-10 22:46 vocx Additional Information Updated
2020-02-10 22:49 vocx Additional Information Updated
2020-02-11 16:48 vocx Note Added: 0014156
2020-02-11 16:48 vocx File Added: bug_4243.txt
2021-01-02 05:51 marioalexis Note Added: 0015196
2021-01-02 14:03 marioalexis Relationship added related to 0003971
2021-01-04 12:00 yorik Changeset attached => FreeCAD master f1b644d1
2021-01-04 12:00 marioalexis Changeset attached => FreeCAD master 4d9e2941
2021-01-04 12:00 marioalexis Note Added: 0015199
2021-01-04 13:38 marioalexis Note Added: 0015201
2021-02-06 06:45 abdullah Target Version => 0.20
2021-02-08 21:58 Kunda1 Fixed in Version => 0.19
2021-02-08 21:58 Kunda1 Target Version 0.20 => 0.19
2021-02-08 21:59 Kunda1 Status new => closed
2021-02-08 21:59 Kunda1 Resolution open => fixed
2021-02-08 21:59 Kunda1 Note Added: 0015316